# TimeBase AOM Driver for the labscript-suite

The AOM drivers from [TimeBase](http://www.time-base.de/) is implemted for labscript, the hardware communicates via TCP.

# Usage

```
...
from user_devices.TimeBaseAOMDriver.labscript_devices import TimeBaseAOMDriver,TimeBaseAOM,TimeBaseFreqSweepTrigger
from user_devices.TimeBaseAOMDriver.unitconversions import TimeBaseAOMDriver_FM

# AOMs and TimeBase Driver
TimeBaseAOMDriver("TimeBaseADRV5MOT", ip_address, 8081)
TimeBaseAOM("AOM_test", TimeBaseADRV5MOT, "CH-1", [parent_device,channel])

# Define outputs for AOM modulations
TimeBaseFreqSweepTrigger("AOM_test_sweep_trigger", parent_device, channel, AOM_test)
AnalogOut("AOM_test_AM", parent_device, channel)
AnalogOut("AOM_test_FM", parent_device, channel, unit_conversion_class=TimeBaseAOMDriver_FM, unit_conversion_parameters={"freq":80*MHz, "FM_deviation":51200*Hz})

AOM_test.setamp(28)      # dBm
AOM_test.setfreq(80*MHz) # Hz
AOM_test.setAMoffset(0)  # dBm
AOM_test.setFMdeviation(51200) # Hz

start()
t = 0
AOM_test.enable(t)
...
stop(t)
```
